# Retrieve a list of tasks

Lists tasks and associated details. If you don't specify any filtering parameters, you will retrieve all tasks.

Endpoint: GET /api/v2/cm/branches/{branchId}/tasks
Version: v2.0
Security: OAuth2.0

## Path parameters:

  - `branchId` (string, required)
    The ID of the branch, for example prod.

## Query parameters:

  - `SortBy` (string)

  - `Search` (string)

  - `MinimumPageSize` (integer)

## Header parameters:

  - `x-sc-continuation` (string)
    The continuation token for next results.

## Response 200 fields (application/json):

  - `count` (integer,null)

  - `next` (string,null)

  - `data` (array,null)

  - `data.id` (string,null, required)

  - `data.name` (string,null, required)

  - `data.options` (object, required)

  - `data.options.variables` (object,null)

  - `data.system` (object, required)

  - `data.system.createdAt` (string, required)

  - `data.system.createdBy` (string,null, required)

  - `data.system.hash` (string,null, required)

  - `data.system.type` (string,null, required)

  - `data.system.status` (object)

  - `data.system.status.state` (string)
    Enum: "Created", "Pending", "InProgress", "Completed", "Failed", "Stopped", "Waiting"

  - `data.system.status.description` (string,null)

  - `data.system.updatedAt` (string,null)

  - `data.system.updatedBy` (string,null)

  - `data.worksetId` (string,null, required)

  - `data.taskTypeId` (string,null, required)

  - `data.statistics` (object)

  - `data.statistics.total` (integer)

  - `data.statistics.processed` (integer)

  - `data.statistics.succeeded` (integer)

  - `data.statistics.ignored` (integer)

  - `data.statistics.failed` (integer)

  - `data.messageLog` (array,null)

  - `data.messageLog.id` (string,null, required)

  - `data.messageLog.type` (string, required)
    Enum: "ContentItem", "ContentType", "Taxonomy"

  - `data.messageLog.version` (integer,null)

  - `data.messageLog.locale` (string,null)

  - `data.messageLog.logTime` (string)

  - `data.messageLog.message` (string,null)

  - `data.description` (string,null)

## Response 400 fields (application/json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)


## Response 401 fields

## Response 403 fields

## Response 500 fields
